summaryrefslogtreecommitdiff
path: root/x11-themes/tango-icon-theme
diff options
context:
space:
mode:
authorBlackNoxis <steven.darklight@gmail.com>2014-02-15 23:24:26 +0200
committerBlackNoxis <steven.darklight@gmail.com>2014-02-15 23:24:26 +0200
commit7224c1253228e5c29c78cb3f0f26ce34770f2356 (patch)
tree1684924656132935256e034f35f92abee6623265 /x11-themes/tango-icon-theme
Added ebuilds for kogaion desktop
Diffstat (limited to 'x11-themes/tango-icon-theme')
-rw-r--r--x11-themes/tango-icon-theme/Manifest4
-rw-r--r--x11-themes/tango-icon-theme/metadata.xml8
-rw-r--r--x11-themes/tango-icon-theme/tango-icon-theme-0.8.90.ebuild72
3 files changed, 84 insertions, 0 deletions
diff --git a/x11-themes/tango-icon-theme/Manifest b/x11-themes/tango-icon-theme/Manifest
new file mode 100644
index 00000000..f777b81c
--- /dev/null
+++ b/x11-themes/tango-icon-theme/Manifest
@@ -0,0 +1,4 @@
+DIST fdo-icons-rogentos1.tar.gz 507041 RMD160 0e282a6807edf3f135346912f2d38dcc49354c53 SHA1 6301ba5413f47daaab97432c90015b50b3357437 SHA256 5ff12b6861abd002e95777a43fb71afb56024ba4684e0a212a990ad8aa1a428d
+DIST tango-icon-theme-0.8.90.tar.gz 1790489 RMD160 5accc7a4741e6acc8d89de59100f31a10206587c SHA1 acdfbf3749885d36349263188334f6d6be405acc SHA256 6e98d8032d57d818acc907ec47e6a718851ff251ae7c29aafb868743eb65c88e
+EBUILD tango-icon-theme-0.8.90.ebuild 2018 RMD160 e381726512225a569bd565f8c8227d920ef10b61 SHA1 f774f43d8c907d9ec868871711d9818e458f2fd8 SHA256 9897fb96e7fa2dad0ace2be85675ac7b3c5d908cae877e37ec9c253441dbc6e4
+MISC metadata.xml 239 RMD160 43d9aecb8e923b569a18ae6e5aab55ef9438394a SHA1 6a98c4a7d62e030d70f279a318b00dc1079a56f6 SHA256 5d929c534d63615358eacbd035a386109d5deebdc7bb562511b4a6338ee2bbb8
diff --git a/x11-themes/tango-icon-theme/metadata.xml b/x11-themes/tango-icon-theme/metadata.xml
new file mode 100644
index 00000000..c03b663e
--- /dev/null
+++ b/x11-themes/tango-icon-theme/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>freedesktop</herd>
+ <maintainer>
+ <email>freedesktop-bugs@gentoo.org</email>
+ </maintainer>
+</pkgmetadata>
diff --git a/x11-themes/tango-icon-theme/tango-icon-theme-0.8.90.ebuild b/x11-themes/tango-icon-theme/tango-icon-theme-0.8.90.ebuild
new file mode 100644
index 00000000..edd6a8ac
--- /dev/null
+++ b/x11-themes/tango-icon-theme/tango-icon-theme-0.8.90.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-themes/tango-icon-theme/tango-icon-theme-0.8.90.ebuild,v 1.10 2010/07/08 02:01:01 ssuominen Exp $
+
+EAPI=2
+SLREV=1
+inherit gnome2-utils
+
+DESCRIPTION="SVG and PNG icon theme from the Tango project"
+HOMEPAGE="http://tango.freedesktop.org"
+SRC_URI="http://tango.freedesktop.org/releases/${P}.tar.gz
+ branding? ( http://pkg2.rogentos.ro/~noxis/distro/${CATEGORY}/fdo-icons-rogentos${SLREV}.tar.gz )"
+
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="amd64 ppc ppc64 sparc x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="branding png"
+
+RDEPEND=">=x11-themes/hicolor-icon-theme-0.12"
+DEPEND="${RDEPEND}
+ dev-util/intltool
+ dev-util/pkgconfig
+ >=gnome-base/librsvg-2.12.3
+ || ( media-gfx/imagemagick[png?] media-gfx/graphicsmagick[imagemagick,png?] )
+ sys-devel/gettext
+ >=x11-misc/icon-naming-utils-0.8.90"
+
+RESTRICT="binchecks strip"
+
+src_prepare() {
+ sed -i -e '/svgconvert_prog/s:rsvg:&-convert:' configure || die #413183
+}
+
+src_configure() {
+ econf \
+ $(use_enable png png-creation) \
+ $(use_enable png icon-framing)
+}
+
+src_install() {
+ addwrite /root/.gnome2
+ emake DESTDIR="${D}" install || die
+ dodoc AUTHORS ChangeLog README
+
+ if use branding; then
+ # replace tango icon start-here.{png,svg} with Rogentos ones
+ for dir in "${D}"/usr/share/icons/Tango/*/places; do
+ base_dir=$(dirname "${dir}")
+ icon_dir=$(basename "${base_dir}")
+ rogentos_svg_file="${WORKDIR}"/fdo-icons-rogentos/scalable/places/start-here.svg
+ if [ "${icon_dir}" = "scalable" ]; then
+ cp "${rogentos_svg_file}" "${dir}/start-here.svg" || die
+ else
+ convert -background none -resize \
+ "${icon_dir}" "${rogentos_svg_file}" \
+ "${dir}/start-here.png" || die
+ fi
+ done
+ fi
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist;
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update;
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update;
+}